Package Release Info

python-flake8-pyi-19.3.0-bp153.1.17

Update Info: Base Release
Available in Package Hub : 15 SP3

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

python3-flake8-pyi

Change Logs

Version: 19.2.0-bp151.2.3
* Thu Feb 28 2019 John Vandenberg <jayvdb@gmail.com>
- Remove workaround for two previously failing tests fixed upstream
- Add build dependency on Python 3.6+
- Add LICENSE
- Udpate to v19.2.0
  * Support 3.7
  * Be explicit in setup.py about Python 3.6+
  * add `.flake8` to manifest file
  * Use --stdin-display-name as filename when reading from stdin
  * Add rules for checking an empty class
  * Add a check for non-ellipsis, non-typed arguments
  * Coding style improvements
* Sat Dec 08 2018 Matej Cepl <mcepl@suse.com>
- Use tarball from the master as of 2018-12-08 to test #16
* Tue Oct 23 2018 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for flake8-pyi 18.3.1
Version: 19.3.0-bp152.1.8
* Thu Mar 07 2019 John Vandenberg <jayvdb@gmail.com>
- Fix python base dependency to allow on Python 3.6
- Make dependency on python-typing explicit
- Update to v19.3.0
  - Set pyflakes minimum dependency
  - Blacken source